Subject: Re: AD review of draft-ietf-rtgwg-ipfrr-notvia-addresses

From: Stewart Bryant <[email-masked]>
Date: Fri, 14 Dec 2012 16:16:58 +0000

Adrian

How about if we add a new first section that says:

"This document describes a method of providing fast re-route
in an IP or MPLS network based on the use of an IP address
known to avoid the failure. At the time of publication there is no
immediate demand to deploy this technology, however in view
of the subtleties involved in the design of routing protocol
extensions to provide IP Fast Reroute it was considered desirable
to publish this document to place on record the design
consideration of the not-via address approach."

Stewart

On 17/10/2012 04:42, Adrian Farrel wrote:
> Hi,
>
> I've done my usual AD review of your draft prior to issuing IETF last
> call and passing the I-D for IESG evaluation. The main purpose of the
> review is to catch issues that might come up in later reviews and to
> ensure that the document is ready for publication as and RFC.
>
> I only have a small point that needs to be resolved in a new revision of
> the document, so I will put it into "Revised I-D Needed" state in the
> data tracker and wait to hear from you.
>
> But I would also like the document shepherd to make an update to the
> write-up as described below.
>
> As always, all my comments are up for discussion and negotiation.
>
> Thanks for the work,
> Adrian
>
> ===
>
> The Shepherd write-up says...
>
>> There is consensus in the WG to proceed with publication.
> Looking at the mailing list, I see no comments positive or negative
> during WG last call. What is more, I see no discussion of the I-D
> going back four years (at which point I lost the will to search
> further). How do you justify there being WG consensus for this document?
>
> I think this issue can be resolved by a revision to the write-up with
> some explanation of the justification for publishing this as a WG
> document. I would also like the write-up to explain the purpose of the
> document as discussed in the following point.
>
> ---
>
> I was also unclear why you want to publish the document at all. I see a
> note from Alvaro (extending the WG last call for an extra week) that
> says:
>
>> this document is being published as an Informational RFC for
>> completeness purposes...as has been discussed in the mailing list and
>> live meetings.
> So I think that gives me the intended purpose: completeness. But I don't
> know what that means, and the document doesn't help me at all.
>
> Furthermore, I couldn't find the discussion of this intention to publish
> on the mailing list.
>
> Based on some conversations with Stewart, I understand that the idea
> here is to capture the current state of discussions in the WG so that
> they are not lost. But I also assume that the WG has no interest in
> pursuing these ideas further. So it would be reasonable to add a
> significant note to the Abstract and the Introduction about the
> purpose. This would say something along the lines of...
>
>    The idea is to capture the current state of discussions in the WG so
>    that they are not lost, can be referenced, and might be picked up
>    again later. The WG currently has no interest in pursuing these ideas
>    further. It is not intended that this document as currently written
>    should form the basis of an implementation or deployment.
>
> With this in mind, my review is considerably lighter than it would be
> for a standards track protocol specification, and I think the document
> will be fine for advancement.
>
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg
> .
>

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 14 Dec 2012 17:25:18 -0000

Hi Stewart,

> consideration of the not-via address approach."

Your proposed text captures some important information. Thanks.

But it misses some things I wanted included:
- Who considered it desirable?
- How should the reader process this document wrt implementation
   and deployment?
- Is the method described here "complete" or is more work needed?

Additionally: what does "no immediate demand" mean? Probably "no demand".

Would you like me to have a stab at this (I did suggest text before)?

Adrian

PS - Document shepherd: don't forget you have an action as well.